Subject: RE: Last call on LSP Ping

From: Shahram Davari <[email-masked]>
Date: Wed, 18 Dec 2002 14:05:09 -0800

> > 1, 2, 4, 5 haven't been answered.
> 
> 4 and 5 were deferred.

Thanks got the answers.

> 
> > > > 1) In L2VPN or L3VPN do we need to push both inner and 
> outer label?
> > > > if not then do people agree to add the inner label to 
> the FEC TLV?
> > > 
> > > Depends on which LSP you are testing.  Is the inner label 
> semirandom
> > > payload to exercise load split or is it the LSP actually 
> under test.
> > 
> > I want to test the inner LSP. Do I need to push both 
> labels? or only the
> > transport label? In case I push both labels there is no way 
> to detect
> > the ping packet at the egress. So my suggestion was to only push
> > the top label and add the inner label to the echo-request.
> > (This point was also raised by Eric Rosen)
> 
> My interpretation is push both labels.  Both start at TTL=1.
> Increment top, then next label.  If they both terminate at the same
> egress LSR (normal for BGP VPN) then bottom TTL never gets past 1.

What do you do for pinging the inner LSP?

> 
> > > > 2) How do we return the label mapping TLV in case 
> RSVP-TE is used
> > > > for the return path? (no such object is defined for RSVP-TE)
> > > 
> > > According to the instructions in section 5.  Use the 
> RESV.  Add the
> > > object specified in the doc.  What's not clear?
> > 
> > Section 3.2 describes something called Downstream Mapping TLV. This
> > is defined for IP packets only. When the return path is the RSVP-TE,
> > how does the downstream mapping gets encoded in RESV 
> message? May be the
> > answer is trace-route has no value when the return path is 
> RSVP-TE ! or
> > may be a Downstream mapping Object needs to be defined.
> 
> Downstream is in the forward direction so this question doesn't make
> sense.
> 
> The Downstream Mapping TLV never refers to the return path.

Check the last paragraph of section 4.3:

   If the echo request contains a Downstream Mapping TLV, the replier
   SHOULD compute its downstream routers and corresponding labels for
   the incoming label, and add Downstream Mapping TLVs for each one to
   the echo reply it sends back.

-Shahram

> 
> <snip to end - 4&5 in another message>
> 
> Curtis
>

---

From: Curtis Villamizar <[email-masked]>
Date: Wed, 18 Dec 2002 17:30:15 -0500

In message <[email-masked]
>, Shahram Davari writes:

For ping mode, set all the labels that you want tested to TTL=255 and
send.  If there are any hops after the top, the packet gets delivered
to the egress of the label you want tested.

Did you mean traceroute?

>    the echo reply it sends back.

At TTL=4, the packet goes 3 hops, then at the fourth has label=X and
get a TTL Expire.  The incoming label is X and the outgoing mapping is
the mapping in the forward direction, ie: the direction of the LSR
which is going to get the next packet when TTL=5.  The router at 4
should confirm that the packet arrived with label X and that the last
Downstream Mapping TLV in the request (that was originally copied from
the LSR at TTL=3) is X.  If the LSR at TTL=4 swaps label X for Y it
puts Y in the Downstream Mapping TLV in the echo reply.  The ingress
copies this into the next echo request.  The LSR at TTL=5 should see
label Y, etc.

That is the forward direction.

Curtis